
/* -------------------------------------------------- */
/* Crossfade Slider */
/* URL：https://indocat.net/  */
/* Created:  January 23, 2021  */
/* -------------------------------------------------- */


/* -------------------------------------------------- */
/* Slder_3 */
/* -------------------------------------------------- */

/* -------------------------------------------------- */
/* スタイル設定　*/

.slider_3{
  position:relative;
  /* 表示するスライダーの高さを設定 */
  height: 639px;
  margin:0 auto;
  padding:0 auto;
  text-align: center;
}
.slider_3 ul{
  margin:0;
  padding:0;
  list-style:none;
}
.slider_3 ul img{
  /* スライドさせる画像の幅を設定 */
  width:80%;
  margin:0 auto;
  padding:0 auto;
}
.slider_3 ul li{
  width:100%;
  height:100%;
  position:absolute;
  top:0;
  left:0;
  animation-iteration-count:infinite;
  /* アニメーションの周期は21秒 */
  animation-duration:60s;
}


/* -------------------------------------------------- */
/* アニメーション開始時間の設定 */

.slider_3 ul li:nth-child(1){
  animation-name:slider_3;
  /* 2秒前からスタート */
  animation-delay:-2s;
}
.slider_3 ul li:nth-child(2){
  animation-name:slider_3;
  /* 11秒後（12秒-2秒）からスタート */
  animation-delay:10s;
  opacity:0;
}
.slider_3 ul li:nth-child(3){
  animation-name:slider_3;
  /* 23秒後（24秒-2秒）からスタート */
  animation-delay:22s;
  opacity:0;
}
.slider_3 ul li:nth-child(4){
  animation-name:slider_3;
  /* 35秒後（36秒-2秒）からスタート */
  animation-delay:34s;
  opacity:0;
}
.slider_3 ul li:nth-child(5){
  animation-name:slider_3;
  /* 47秒後（48秒-2秒）からスタート */
  animation-delay:46s;
  opacity:0;
}

/* -------------------------------------------------- */
/* フェードイン・フェードアウトの設定 */

@keyframes slider_3{
/* 非表示（不透明度0%）状態からフェードインを始める  */
  0%{
    opacity:0;
  }
  /* ここまでにフェードインを完了し、完全表示（不透明度100%）にする */
  4.76%{
    opacity:1;
  }

  /* ここまで完全表示（不透明度100%）の状態を維持したらフェードアウトを始める */
  23.33%{
    opacity:1;
  }

  /* ここまで完全表示（不透明度100%）の状態を維持したらフェードアウトを始める
  33.33%{
    opacity:1;
  } */
  
  /* ここまでにフェードアウトを完了し、非表示（不透明度0% */
  33.85%{
    opacity:0;
  }
  /* ここまでにフェードアウトを完了し、非表示（不透明度0%
  42.85%{
  opacity:0;
  } */

  /* 非表示（不透明度0%）状態を維持したまま終わる */
  100%{
    opacity:0;
  } 
}

/* -------------------------------------------------- */
/*  MEDIA QUERIES                                     */
/*　端末に合わせてスライダーの高さを調整する                */
/* -------------------------------------------------- */

/*===============================================
画面の横幅が640pxまで
===============================================*/

@media screen and (max-width: 640px) {

.slider_1,.slider_2,.slider_3{
  height:330px; 
}

}

/*===============================================
画面の横幅が414pxまで（iPhone/Pixel）
===============================================*/

@media screen and (max-width: 414px) {

.slider_1,.slider_2,.slider_3{
  height:260px; 
}

}

/*===============================================
画面の横幅が360pxまで（Galaxy）
===============================================*/

@media screen and (max-width: 360px) {

.slider_1,.slider_2,.slider_3{
  height:230px; 
}

}

/*===============================================
画面の横幅が320pxまで（iPhone5/SE）
===============================================*/

@media screen and (max-width: 320px) {

.slider_1,.slider_2,.slider_3{
  height:200px; 
}

}

